@if (isExploratory) {
  <div
    nz-tooltip
    [nzTooltipTitle]="i18nKeys.tooltip | translate"
    [nzTooltipPlacement]="'left'"
    class="full-height full-width flex-column icon-container"
    (click)="accessSessionOverview()"
  >
    <i
      nz-icon
      nzType="sqtm-core-campaign:play"
      nzTheme="outline"
      class="table-icon-size current-workspace-button"
    ></i>
  </div>
} @else {
  <div
    nz-popover
    [nzPopoverContent]="menu"
    [nzPopoverTrigger]="'click'"
    [nzPopoverPlacement]="'left'"
    [nzPopoverVisible]="$popoverVisible()"
    (click)="$popoverVisible.set(true)"
    class="full-height full-width flex-column icon-container"
  >
    <i
      nz-icon
      nzType="sqtm-core-campaign:play"
      nzTheme="outline"
      class="table-icon-size current-workspace-button"
    ></i>
  </div>
}

<ng-template #menu>
  <div class="popover-menu">
    @if (isAutomated) {
      <a [attr.data-test-link-id]="'executeAutomated'" [class.disabled]="true">
        {{ i18nKeys.executeAutomated | translate }}
      </a>
    }
    <a
      [attr.data-test-link-id]="'executeInPopup'"
      [class.disabled]="!canExecute"
      (click)="startExecutionInPopup()"
    >
      {{ i18nKeys.executeInPopup | translate }}
    </a>
    <a
      [attr.data-test-link-id]="'executeInPage'"
      [class.disabled]="!canExecute"
      (click)="startExecutionInPage()"
    >
      {{ i18nKeys.executeInPage | translate }}
    </a>
    <a
      [attr.data-test-link-id]="'showHistory'"
      (click)="displayExecutionHistory()"
    >
      {{ i18nKeys.showHistory | translate }}
    </a>
  </div>
</ng-template>
